# Uses of Class
com.google.protobuf.Value

Packages that use Value
Package
Description
com.google.protobuf

## Uses of Value in com.google.protobuf

Methods in com.google.protobuf that return Value
Modifier and Type
Method
Description
`Value`
Value.Builder.`build()`
`Value`
Value.Builder.`buildPartial()`
`static Value`
Value.`getDefaultInstance()`
`Value`
Value.Builder.`getDefaultInstanceForType()`
`Value`
Value.`getDefaultInstanceForType()`
`Value`
Struct.Builder.`getFieldsOrDefault(String key, Value defaultValue)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
Struct.`getFieldsOrDefault(String key, Value defaultValue)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
StructOrBuilder.`getFieldsOrDefault(String key, Value defaultValue)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
Struct.Builder.`getFieldsOrThrow(String key)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
Struct.`getFieldsOrThrow(String key)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
StructOrBuilder.`getFieldsOrThrow(String key)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
ListValue.Builder.`getValues(int index)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`Value`
ListValue.`getValues(int index)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`Value`
ListValueOrBuilder.`getValues(int index)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`static Value`
Value.`parseDelimitedFrom(InputStream input)`
`static Value`
Value.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Value`
Value.`parseFrom(byte[] data)`
`static Value`
Value.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Value`
Value.`parseFrom(ByteString data)`
`static Value`
Value.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Value`
Value.`parseFrom(CodedInputStream input)`
`static Value`
Value.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Value`
Value.`parseFrom(InputStream input)`
`static Value`
Value.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Value`
Value.`parseFrom(ByteBuffer data)`
`static Value`
Value.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Value
Modifier and Type
Method
Description
`Map<String,Value>`
Struct.Builder.`getFields()`
Deprecated.
`Map<String,Value>`
Struct.`getFields()`
Deprecated.
`Map<String,Value>`
StructOrBuilder.`getFields()`
Deprecated.
`Map<String,Value>`
Struct.Builder.`getFieldsMap()`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Map<String,Value>`
Struct.`getFieldsMap()`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Map<String,Value>`
StructOrBuilder.`getFieldsMap()`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Map<String,Value>`
Struct.Builder.`getMutableFields()`
Deprecated.
`Parser<Value>`
Value.`getParserForType()`
`List<Value>`
ListValue.Builder.`getValuesList()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`List<Value>`
ListValue.`getValuesList()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`List<Value>`
ListValueOrBuilder.`getValuesList()`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`static Parser<Value>`
Value.`parser()`
Methods in com.google.protobuf with parameters of type Value
Modifier and Type
Method
Description
`ListValue.Builder`
ListValue.Builder.`addValues(int index, Value value)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`ListValue.Builder`
ListValue.Builder.`addValues(Value value)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`Value`
Struct.Builder.`getFieldsOrDefault(String key, Value defaultValue)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
Struct.`getFieldsOrDefault(String key, Value defaultValue)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
StructOrBuilder.`getFieldsOrDefault(String key, Value defaultValue)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value.Builder`
Value.Builder.`mergeFrom(Value other)`
`static Value.Builder`
Value.`newBuilder(Value prototype)`
`Struct.Builder`
Struct.Builder.`putFields(String key, Value value)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`ListValue.Builder`
ListValue.Builder.`setValues(int index, Value value)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
Method parameters in com.google.protobuf with type arguments of type Value
Modifier and Type
Method
Description
`ListValue.Builder`
ListValue.Builder.`addAllValues(Iterable<? extends Value> values)`
`repeated .google.protobuf.Value values = 1 [json_name = "values"];`
`Struct.Builder`
Struct.Builder.`putAllFields(Map<String,Value> values)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`